DROP EVENT TRIGGER(7)

NAME
DROP_EVENT_TRIGGER - remove an event trigger

SYNOPSIS

DROP EVENT TRIGGER [ IF EXISTS ] name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP EVENT TRIGGER removes an existing event trigger. To execute this command, the current user must be the owner of the event trigger.

PARAMETERS

IF EXISTS
    Do not throw an error if the event trigger does not exist. A notice is issued in this case.

name
    The name of the event trigger to remove.

CASCADE
    Automatically drop objects that depend on the trigger, and in turn all objects that depend on those objects (see Section 5.15).

RESTRICT
    Refuse to drop the trigger if any objects depend on it. This is the default.

EXAMPLES

Destroy the trigger snitch:

    DROP EVENT TRIGGER snitch;

COMPATIBILITY

There is no DROP EVENT TRIGGER statement in the SQL standard.

SEE ALSO
CREATE EVENT TRIGGER (CREATE_EVENT_TRIGGER(7)), ALTER EVENT TRIGGER (ALTER_EVENT_TRIGGER(7))